@echo off
setlocal
cls
if not exist .\BDRVCOPY.BAT goto FILENOTEXIST
echo.
echo BDRVCOPY.BAT
echo Version:  1.08
echo.
echo This procedure creates the $OEM$ directory structure and copies the files
echo necessary to install the Broadcom 570X adapter drivers during an unattended
echo installation of the operating system.  It supports Microsoft Windows NT 4.0, 
echo Microsoft Windows 2000, Microsoft Windows XP IA32/IA64/X64, Microsoft Windows 
echo 2003 IA32/IA64/X64, Microsoft Windows Vista IA32/X64.  
echo This procedure also copies the files necessary to install Management 
echo Applications.
echo.
pause

rem *******************************************************************************
rem %1 = Destination
rem %2 = OS
rem *******************************************************************************

if "%2"=="x64"  goto X64
if "%2"=="X64"  goto X64
if "%2"=="ia64"  goto IA64
if "%2"=="IA64"  goto IA64
if "%2"=="ia32"  goto IA32
if "%2"=="IA32"  goto IA32
if "%2"=="w2k" goto Win2K
if "%2"=="W2K" goto Win2K
if "%2"=="nt"  goto WinNT
if "%2"=="NT"  goto WinNT
if "%2"=="VistaIA32"  goto VistaIA32
if "%2"=="VistaX64"  goto VistaX64
goto Usage

rem *******************************************************************************
rem 	Vista X64 file copies
rem *******************************************************************************
:VistaX64
echo *** VistaX64 file copy starts

rem *******************************************************************************
rem Create the Configuration Sets directory structure
rem *******************************************************************************
md %1\ConfigSets
md %1\ConfigSets\$oem$
md %1\ConfigSets\$oem$\AutoUnattend_Files
md %1\ConfigSets\$oem$\AutoUnattend_Files\1
md %1\ConfigSets\$oem$\AutoUnattend_Files\2
md %1\ConfigSets\$oem$\$oem$
md %1\ConfigSets\AutoUnattend_Files
md %1\ConfigSets\AutoUnattend_Files\1
md %1\ConfigSets\AutoUnattend_Files\2

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57nd60a.* %1\ConfigSets\AutoUnattend_Files\1
copy /V /Y ..\b57nd60a.* %1\ConfigSets\$oem$\AutoUnattend_Files\1
copy /V /Y ..\b57amd64.* %1\ConfigSets\AutoUnattend_Files\2
copy /V /Y ..\b57X64.* %1\ConfigSets\$oem$\AutoUnattend_Files\2

rem *******************************************************************************
rem Copy the sample AutoUnattend.XML
rem *******************************************************************************
copy /V /Y Vista\X64\AutoUnattend.XML %1\ConfigSets
copy /V /Y Vista\X64\AutoUnattend.XML %1\ConfigSets\$oem$

echo *** VistaX64 file copy ends
goto end

rem *******************************************************************************
rem 	Vista IA32 file copies
rem *******************************************************************************
:VistaIA32
echo *** VistaIA32 file copy starts

rem *******************************************************************************
rem Create the Configuration Sets directory structure
rem *******************************************************************************
md %1\ConfigSets
md %1\ConfigSets\$oem$
md %1\ConfigSets\$oem$\AutoUnattend_Files
md %1\ConfigSets\$oem$\AutoUnattend_Files\1
md %1\ConfigSets\$oem$\AutoUnattend_Files\2
md %1\ConfigSets\$oem$\$oem$
md %1\ConfigSets\AutoUnattend_Files
md %1\ConfigSets\AutoUnattend_Files\1
md %1\ConfigSets\AutoUnattend_Files\2

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57nd60x.* %1\ConfigSets\AutoUnattend_Files\1
copy /V /Y ..\b57nd60x.* %1\ConfigSets\$oem$\AutoUnattend_Files\1
copy /V /Y ..\b57win32.* %1\ConfigSets\AutoUnattend_Files\2
copy /V /Y ..\b57xp32.* %1\ConfigSets\AutoUnattend_Files\2
copy /V /Y ..\b57win32.* %1\ConfigSets\$oem$\AutoUnattend_Files\2
copy /V /Y ..\b57xp32.* %1\ConfigSets\$oem$\AutoUnattend_Files\2

rem *******************************************************************************
rem Copy the sample AutoUnattend.XML
rem *******************************************************************************
copy /V /Y Vista\IA32\AutoUnattend.XML %1\ConfigSets
copy /V /Y Vista\IA32\AutoUnattend.XML %1\ConfigSets\$oem$

echo *** VistaIA32 file copy ends
goto end

rem *******************************************************************************
rem 	X64 file copies
rem *******************************************************************************
:X64
echo *** X64 file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57amd64.* %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y X64\Unattend.txt %1

echo *** X64 file copy ends
goto end

rem *******************************************************************************
rem 	IA64 file copies
rem *******************************************************************************
:IA64
echo *** IA64 file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57xp64.* %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y IA64\Unattend.txt %1

echo *** IA64 file copy ends
goto end

rem *******************************************************************************
rem 	WIN2K file copies
rem *******************************************************************************
:Win2K
echo *** Win2K file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57w2k.* %1\$oem$\$1\drivers\BCM570X
copy /V /Y ..\b57win32.* %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y Win2K\Unattend.txt %1

echo *** Win2K file copy ends
goto end

rem *******************************************************************************
rem 	IA32 file copies
rem *******************************************************************************
:IA32
echo *** IA32 file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\$1
md %1\$oem$\$1\drivers
md %1\$oem$\$1\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57xp32.* %1\$oem$\$1\drivers\BCM570X
copy /V /Y ..\b57win32.* %1\$oem$\$1\drivers\BCM570X


rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y IA32\Unattend.txt %1

echo *** IA32 file copy ends
goto end

rem *******************************************************************************
rem 	WINNT file copies
rem *******************************************************************************
:WinNT
echo *** WinNT file copy starts

rem *******************************************************************************
rem Create the OEM driver directory structure
rem *******************************************************************************
md %1\$oem$
md %1\$oem$\drivers
md %1\$oem$\drivers\BCM570X

rem *******************************************************************************
rem 	Copy driver files
rem *******************************************************************************
copy /V /Y ..\b57dtect.dll %1\$oem$\drivers\BCM570X
copy /V /Y ..\b57nt4.sys %1\$oem$\drivers\BCM570X
copy /V /Y ..\b57nt4.hlp %1\$oem$\drivers\BCM570X
copy /V /Y ..\oemsetup.inf %1\$oem$\drivers\BCM570X

rem *******************************************************************************
rem Copy the sample UNATTEND.TXT
rem *******************************************************************************
copy /V /Y Winnt\Unattend.txt %1

echo *** WinNT file copy ends
goto end

:FILENOTEXIST
echo.
echo.
echo BDRVCOPY must be run from the \Unattend directory on the CD or CD image to
echo work properly.  
echo.
echo Change directories to the \Unattend directory before running BDRVCOPY.
echo.
echo.

:Usage
echo.
echo Usage syntax:
echo ------------
echo.
echo BDRVCOPY [Destination] [OS]
echo where [destination] is the drive letter and path (such as Z:)
echo       Do not add a trailing backslash (\) to the destination path. 
echo       [OS] is the OS family
echo         NT = Windows NT
echo        W2K = Windows 2000
echo       IA32 = Windows XP / Windows 2003 IA32-bit
echo       IA64 = Windows XP / Windows 2003 IA64-bit
echo        X64 = Windows XP / Windows 2003 X64-bit
echo  VistaIA32 = Windows Vista IA32-bit
echo   VistaX64 = Windows Vista X64-bit
echo.

:end
endlocal

